Kerbal Space Program - Bug #22023

Controls lock for no reason whatsoever
04/28/2019 03:44 AM - MoabMauler5000

Status: Need More Info Start date: 04/28/2019
Severity: Low % Done: 0%
Assignee: victorr

Category: Controls and Ul

Target version:

Version: 1.7.0 Language: English (US)
Platform: Windows Mod Related: No
Description

So basically, my controls just decided to lock for no reason. This literally hasn't happened to me until now, where it's happened three
times in a row. This is weird, because I've been playing this game a lot in the past few days, you'd expect for me to have seen it
sooner and on more spread out occasions. It happened even though | have plenty of electricity, and | have a connection, so | should
be able to do stuff. When it happens, the SAS and RCS buttons will go dull (like when you're in a time warp). You lose the ability to
pan the camera around, and you can't open the pause menu. It also prevents you from switching to or from map mode. If you're in
map mode, your stuck there. If you're in normal mode, you're stuck there. Also, you can't Start time warp, whether by clicking the
interface or by using "," and "." and "/". You can't enter that interface where you can change the classification of your craft (lander,
satellite, rover, etc.), but for some reason you can still open KSPedia. As, stated in the title, you also can't change the thrust, change
the orientation of the ship, or really anything of that matter. There doesn't seem to be any obvious cause for this, so I'm confused. I've
linked an unlisted video (https://youtu.be/SRCtkggoMDk) I've uploaded that shows the bug happening. Sorry for block of text, Squad
pls fix.

History

#1 - 04/30/2019 11:24 PM - MoabMauler5000

EDIT: | have found a fix to the problem! Even though this bug doesn't let you open up the menu, you can open up the debug menu with alt+f12, go to
the console tab, then go to the input locks section and click "clear input locks". However, the bug still exists in the first place and should be fixed,
because some players may just not figure out the temporary solution.

#2 - 05/01/2019 02:46 PM - Dunbaratu

Looking at your video, it looks like the problem began as soon as you clicked the "advanced orbital info" tab in the lower left of the screen. Does
trying to pick a different tab and get back out of that mode fix it? Could it be something connected to being in that mode?

#3 - 05/02/2019 12:26 AM - MoabMauler5000

Dunbaratu wrote:

Looking at your video, it looks like the problem began as soon as you clicked the "advanced orbital info" tab in the lower left of the screen. Does
trying to pick a different tab and get back out of that mode fix it? Could it be something connected to being in that mode?

I'm not sure what does cause it, but | doubt it's the advanced orbital info tab, because this bug had happened multiple times, and | know that | hadn't
pressed it every time (the first time it happened, | was just sort of sitting there looking at the screen). | do know, however, that the majority of the times
it had happened was in the upper atmosphere of Kerbin or in LKO, but it has happened a few times when | was around or approaching one of the
moons, so it's probably just a coincidence. | had previously thought that it was only happening to satellites, but was proven wrong when it happened
to a manned mission.

The fact that the input lock section of the alt+f12 debug menu recognizes that certain inputs are locked (and allows you to clear them, which is a fix)
might ring some alarm bells or point to the direction/cause of the bug for some people, but I'm not very knowledgeable on the innards of the game.
Maybe it thinks it's out of electric or out of range to control, turns off controls, and then realizes its mistake and change the ui back to normal, but
forgets to unlock the controls?

#4 - 06/04/2019 07:44 PM - Herrkurt
- Version changed from 1.7.0to 1.7.1

This bug persists in the latest version. All vessel and Ul controls cease as described in the OP. It has occurred, for me, exclusively when launching
to orbit from Kerbin and always when looking at orbit info and more commonly advance orbital info. Debug console shows "Exception:
NullReferenceException: Object reference not set to an Instance of an object" when this occurs. Clean install and has the potential to occur with any
type of vessel being launched.
https://youtu.be/SRCfkggoMDk

#5 - 06/08/2019 01:47 AM - Herrkurt
- Version changed from 1.7.1 to 1.7.0

#6 - 06/08/2019 01:52 AM - Herrkurt

This is a log report from a flight in which this issue has occurred. The full log shows a series of exceptions following from the first. The frequency with
which this is now occurring to me is bringing the game to the point of unplayable.

[LOG 21:22:53.848] Unpacking Desire CV-A

[LOG 21:22:53.862] [UIMasterController]: ShowUl

[LOG 21:23:20.458] Packing Desire CV-A Debris for orbit

[LOG 21:23:20.459] Packing Desire CV-A Debris for orbit

[LOG 21:23:43.996] Desire CV-A Debris Unloaded

[LOG 21:23:43.997] Desire CV-A Debris Unloaded

[EXC 21:25:33.486] NullReferenceException: Object reference not set to an instance of an object
ManeuverNodeEditorManager.UpdateDeltaVInNodeComponents ()

ManeuverNodeEditorManager.ModifyBurnVector (NavBallVector axis, Double amount)
ManeuverNodeEditorTabVectorinput.OnNormalValueChanged (System.String newValue)

UnityEngine.Events.InvokableCall' 1[System.String].Invoke (System.String args0)

UnityEngine.Events.UnityEvent 1[T0].Invoke (.TO arg0)

TMPro.TMP_InputField.SendOnEndEdit ()

TMPro.TMP_InputField.DeactivatelnputField ()

TMPro.TMP_InputField.OnDeselect (UnityEngine.EventSystems.BaseEventData eventData)
UnityEngine.EventSystems.ExecuteEvents.Execute (IDeselectHandler handler, UnityEngine.EventSystems.BaseEventData eventData)
UnityEngine.EventSystems.ExecuteEvents.Execute[IDeselectHandler] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData
eventData, UnityEngine.EventSystems.EventFunction™1 functor)
UnityEngine.EventSystems.EventSystem:SetSelectedGameObject(GameObject, BaseEventData)
KSP.UIl.Screens.DebugToolbar.<ScrollDown>c__lterator0:MoveNext()

UnityEngine.SetupCoroutine:InvokeMoveNext(IEnumerator, IntPtr)

[LOG 21:25:52.597] Desire CV-A Debris Unloaded

[LOG 21:25:52.598] Packing Desire CV-A Debris for orbit

[LOG 21:26:16.016] KbApp.OnDestroy Planet Resources

[LOG 21:26:16.018] [PlanetariumCamera]: Focus: Kerbin

[ERR 21:26:16.025] Exception handling event onPlanetariumTargetChange in class KnowledgeBase:System.NullReferenceException:
at (wrapper managed-to-native) UnityEngine.Component:get_transform ()

at KSP.UI.Screens.KbApp_PlanetResources.ActivateApp (.MapObiject target) [0x00000] in <filename unknown>:0

at KSP.Ul.Screens.KnowledgeBase.ActivateApps (KbTargetType targetType, .MapObject target) [0x00000] in <filename unknown>:0
at KSP.UI.Screens.KnowledgeBase.OnMapFocusChange (.MapObiject target) [0x00000] in <filename unknown>:0

at EventData’1[MapObiject].Fire (.MapObject data) [0x00000] in <filename unknown>:0

[EXC 21:26:16.026] NullReferenceException
KSP.Ul.Screens.KbApp_PlanetResources.ActivateApp (.MapObiject target)
KSP.Ul.Screens.KnowledgeBase.ActivateApps (KbTargetType targetType, .MapObject target)
KSP.Ul.Screens.KnowledgeBase.OnMapFocusChange (.MapObiject target)
EventData’ 1[MapObject].Fire (.MapObject data)
UnityEngine.Debug:LogException(Exception)

EventData’ 1:Fire(MapObiject)

PlanetariumCamera:SetTarget(MapObject)
PlanetariumCamera:RemoveTarget(MapObject)

MapView:OnDestroy()

[LOG 21:26:16.030] [UIApp] OnDestroy: Contracts

[LOG 21:26:16.035] KbApp.OnDestroy Planet Parameters

[LOG 21:26:16.048] [UIApp] OnDestroy: MessageSystem

#7 - 11/06/2019 09:47 PM - victorr
- Status changed from New to Need More Info

- Assignee set to victorr

Thank you for your input. We've made some changes in recent updates to the game and would like your input and feedback for this issue.
